Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.netbeans.modules.java.project/1 1.8.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.netbeans.api.java.project
Class JavaProjectConstants

    java.lang.Object
      org.netbeans.api.java.project.JavaProjectConstants

    public class JavaProjectConstants

extends Object

Constants useful for Java-based projects.

Field Summary
`static String` | `ARTIFACT_TYPE_FOLDER` Standard artifact type representing a folder containing classes, presumably used as a Java library of some kind.
`static String` | `ARTIFACT_TYPE_JAR` Standard artifact type representing a JAR file, presumably used as a Java library of some kind.
`static String` | `COMMAND_DEBUG_FIX` Standard command for reloading a class in a foreign VM and continuing debugging.
`static String` | `COMMAND_JAVADOC` Standard command for running Javadoc on a project.
`static String` | `SOURCES_TYPE_JAVA` Java package root sources type.

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SOURCES_TYPE_JAVA

    public static final String SOURCES_TYPE_JAVA

  Java package root sources type.

  See Also:
    `Sources`, Constant Field Values

### ARTIFACT_TYPE_JAR

    public static final String ARTIFACT_TYPE_JAR

  Standard artifact type representing a JAR file, presumably used as a Java library of some kind.

  See Also:
    `AntArtifact`, Constant Field Values

### ARTIFACT_TYPE_FOLDER

    public static final String ARTIFACT_TYPE_FOLDER

  Standard artifact type representing a folder containing classes, presumably used as a Java library of some kind.

  Since:
    org.netbeans.modules.java.project/1 1.4
  See Also:
    `AntArtifact`, Constant Field Values

### COMMAND_JAVADOC

    public static final String COMMAND_JAVADOC

  Standard command for running Javadoc on a project.

  See Also:
    `ActionProvider`, Constant Field Values

### COMMAND_DEBUG_FIX

    public static final String COMMAND_DEBUG_FIX

  Standard command for reloading a class in a foreign VM and continuing debugging.

  See Also:
    `ActionProvider`, Constant Field Values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.netbeans.modules.java.project/1 1.8.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Built on December 7 2006. | Portions Copyright 1997-2005 Sun Microsystems, Inc. All rights reserved.